#38 1.12 doesn't work on 710C


I upgraded from 1.10 to 1.12, using in both cases the
RedHat 7.x RPM. Under 1.10
, things print OK on my 710C, but almost nothing works
under 1.12. (I did remember to edit the new
pnm2ppa.conf!). calibrate_ppa piped into pnm2ppa and
then to lpr (as described in the documentation) still
works. But anything which I try to print through the
SuSE apsfilter fails completely. I also tried compiling
1.12 from source, but the result was the same.

I then tried simply replacing the version 1.10 binary with
the version 1.12 binary, leaving pnm2ppa.conf
unchanged. I printed something from StarOffice which
printed OK on 1.10, but nothing came out with the 1.12
binary. (The spool file was produced and processed, but
no printer output.) The only thing which changed was
the pnm2ppa binary.


  • Duncan

    Duncan - 2003-10-08

    Logged In: YES

    It's very unlikely that pnm2ppa-1.12 doesn't work on 710C.
    It certainly works on 722C. Its been released for almost a
    year now...

    Are you really using 1.10? (1.04 is the previous "stable"
    before 1.12)

    You need to test pnm2ppa directly without using the apsfilter to
    see if your problem is pnm2ppa or the filters. There should be
    some Docs/scripts for this in the pnm2ppa source distribution.

    (to print file.ps without apsfilter, use this script,
    modified as appropriate.

    cat file.ps | \ gs -sDEVICE=ppmraw -q -sPAPERSIZE=a4 -dNOPAUSE \ -r600 -sOutputFile=- - | \ pnm2ppa -i - -o /dev/lp0

    (or ... -o - | lpr -l )

    If you compile 1.12 from source but it doesnt work, can you
    compile 1.10 from source and make it work?

    You'll have to figure out what is wrong, but I doubt that
    pnm2ppa-1.12 is the problem.

  • David Jarvie

    David Jarvie - 2003-11-02

    Logged In: YES

    I tried printing to a postscript file and then using the
    command line to send to the printer, and it works OK. Why
    there is a difference between pnm2ppa version 1.10 and
    version 1.12, I don't know, but the problem definitely lies in

    For your information, I *was* using version 1.10, not the
    version which came with my system.

  • Duncan

    Duncan - 2004-01-12
    • status: open --> closed-works-for-me
  • Duncan

    Duncan - 2004-01-12

    Logged In: YES

    Well, that's a mystery.
    I would recommend either pnm2ppa 1.04 or 1.12.
    But if 1.10 works for you....

    Perhaps its due to using a binary compiled for
    redhat on suse...

    1.12 appears to be bug-free, as does 1.04. I dont
    know about 1.10.


Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

No, thanks